> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mudstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get statistics

> Retrieve statistics for a specific folder.



## OpenAPI

````yaml get /workspace/folders/stats
openapi: 3.0.0
info:
  title: Mudstack API
  version: 2.41.0
servers:
  - url: https://api.mudstack.com
security: []
tags: []
paths:
  /workspace/folders/stats:
    get:
      tags:
        - Folder
      description: Retrieve statistics for a specific folder.
      parameters:
        - $ref: '#/components/parameters/account_id'
        - $ref: '#/components/parameters/workspace_id'
        - in: query
          name: folder
          schema:
            type: string
          required: true
          description: The path of the folder to retrieve statistics for.
        - in: query
          name: library_id
          schema:
            type: string
          required: false
          description: The ID of the library to retrieve statistics for.
      responses:
        '200':
          description: Folder statistics retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FolderStats'
      security:
        - Authentication: []
components:
  parameters:
    account_id:
      name: x-account-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
    workspace_id:
      name: x-workspace-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    FolderStats:
      type: object
      description: Statistics related to folders and files within a workspace.
      properties:
        total_folders:
          type: integer
          description: The total number of folders.
        total_files:
          type: integer
          description: The total number of files.
        total_size:
          type: integer
          description: The total size of all files in bytes.
  securitySchemes:
    Authentication:
      type: http
      scheme: bearer
      bearerFormat: JWT

````